Redmine - Patch #40652

Replace MD5 with SHA256 when creating the hash for gravatar URL
2024-05-02 17:02 - Marius BALTEANU

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Marius BALTEANU % Done: 0%
Category: Code cleanup/refactoring Estimated time: 0.00 hour
Target version: 6.0.0

Description

https://docs.gravatar.com/avatars/hash/

This is extracted from #35217.

diff --git a/lib/plugins/gravatar/lib/gravatar.rb b/lib/plugins/gravatar/lib/gravatar.rb
index ead4a37cb5..4dc27db52 100644
-—— a/lib/plugins/gravatar/lib/gravatar.rb
+++ b/lib/plugins/gravatar/lib/gravatar.rb
@@ -1,6 +1,5 @@
# frozen_string_literal: true

-require 'digest/md5'
require 'cgi'

module GravatarHelper
@@ -65,7 +64,7 Q@ module GravatarHelper

# Return the gravatar URL for the given email address.
def gravatar_url (email, options={})
. email_hash = Digest::MD5.hexdigest (email)
+ email_hash = Digest::SHA256.hexdigest (email)
options = DEFAULT_OPTIONS.merge (options)
options[:default] = CGI::escape(options[:default]) unless options[:default].nil?
gravatar_api_url (email_hash) .tap do |url|

Related issues:
Related to Redmine - Patch #35217: Replace use of Digest::MD5 / Digest::SHAT ... Closed

Associated revisions

Revision 22802 - 2024-05-02 22:23 - Marius BALTEANU
Switches from MD5 to SHA256 when computing the hash for gravatar URL (#40652).

Revision 22807 - 2024-05-03 09:31 - Marius BALTEANU
Fixes failing tests caused by r22802 (#40652).

History

#1 - 2024-05-02 17:06 - Marius BALTEANU
- File 0001-Replaces-md5-with-SHA256-when-creating-the-hash-for-.patch added

#2 - 2024-05-02 22:21 - Marius BALTEANU
- Related to Patch #35217: Replace use of Digest::MD5 / Digest::SHA1 with ActiveSupport::Digest added

#3 - 2024-05-02 22:23 - Marius BALTEANU

- Status changed from New to Closed
#4 - 2024-05-02 22:23 - Marius BALTEANU

- Subject changed from Replace md5 with SHA256 when creating the hash for gravatar URL to Replace MD5 with SHA256 when creating the hash for
gravatar URL
https://docs.gravatar.com/avatars/hash/
https://www.redmine.org/issues/35217
